Summary: James Clark's SGML Parser
Name: sp
Version: 1.2.1
Release: 2
Packager: Natarajan Krishnaswami <nxk3@po.cwru.edu>
Copyright: custom (similar to BSD license)
Source: ftp.jclark.com:/pub/jade/jade1_0_1.zip
Patch: sp-makefile.patch
BuildRoot: /tmp/sp-build-root
Group: Utilities/Text
Provides: sp

%description 
These tools comprise the binaries distributed with James Clark's SP
parser.  They are widely considered one of the best freely available
SGML systems.

%package devel
Summary: Development files for SP, a C++ SGML parser library
Group: Utilities/Text
Requires: sp = 1.2.1-1

%description devel
SP is a library for parsing SGML documents. This package contains several
files needed to develop programs which use SP. These include a static
library and C++ header files.


%package jade
Summary: James Clark's DSSSL style language engine
Group: Utilities/Text
Requires: sp = 1.2.1-1
Version: 1.0.1
Provides: jade

%description jade
Jade is an implementation of the DSSSL style language. The current
version is 1.0.1, and is built on SP 1.2.1.

Note that Jade requires the JadeTeX macros (available on any CTAN
mirror) to use the TeX backend.

%prep
%setup -c -T
unzip -a ../../SOURCES/jade1_0_1.zip

%patch -p1

%build
make -f Makefile.jade

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{etc/profile.d,usr/bin,usr/lib/sgml}
make prefix=$RPM_BUILD_ROOT/usr install

cp -r dsssl pubtext unicode $RPM_BUILD_ROOT/usr/lib/sgml
echo "export SGML_CATALOG_FILES=$(echo /usr/lib/sgml/{{dsssl,unicode}/catalog,pubtext/{HTML32,html,xml}.soc}|tr ' ' :)" > $RPM_BUILD_ROOT/etc/profile.d/sp_env.sh
echo "setenv SGML_CATALOG_FILES $(echo /usr/lib/sgml/{{dsssl,unicode}/catalog,pubtext/{HTML32,html,xml}.soc}|tr ' ' :)" > $RPM_BUILD_ROOT/etc/profile.d/sp_env.csh
chmod +x $RPM_BUILD_ROOT/etc/profile.d/sp_env.{c,}sh
cp japan.sgmldecl $RPM_BUILD_ROOT/usr/lib/sgml

cp lib/libsp.a $RPM_BUILD_ROOT/usr/lib/
mkdir -p $RPM_BUILD_ROOT/usr/include/sp/
cp generic/*.h $RPM_BUILD_ROOT/usr/include/sp/
mkdir -p $RPM_BUILD_ROOT/usr/include/sp/native/
cp include/*.h include/*.cxx $RPM_BUILD_ROOT/usr/include/sp/native/

install -s jade/jade $RPM_BUILD_ROOT/usr/bin/jade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/* README COPYING VERSION
/usr/bin/nsgmls
/usr/bin/sgmlnorm
/usr/bin/spam
/usr/bin/spent
/usr/lib/sgml/pubtext
/usr/lib/sgml/unicode
%config /etc/profile.d/sp_env.sh
%config /etc/profile.d/sp_env.csh

%files devel
/usr/lib/libsp.a
/usr/include/sp/

%files jade
%doc jadedoc/* COPYING
/usr/bin/jade
/usr/lib/sgml/dsssl

